package com.aitrainer.api.controller.diet

import com.aitrainer.api.model.diet.DietUser
import com.aitrainer.api.repository.diet.DietUserRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*

@RestController
@RequestMapping("api")
class DietUserController(private val dietUserRepository: DietUserRepository) {

    @PostMapping ("/diet_user")
    fun insert(@RequestBody dietUser: DietUser): ResponseEntity<DietUser> {
        val newDietUser = dietUserRepository.save(dietUser)
        return ResponseEntity.ok().body(newDietUser)
    }

    @GetMapping("/diet_user/{customerId}")
    fun getByCustomerId(@PathVariable customerId: Long): ResponseEntity<DietUser> {
        val dietUser = dietUserRepository.findByCustomerId(customerId)
        return if (dietUser == null) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(dietUser)
    }
}