package com.aitrainer.api.model

import com.google.gson.annotations.Expose
import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.springframework.lang.NonNull
import jakarta.persistence.*

@Entity
data class TrainingPlanDay (
    @Expose @Id  @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull var dayId: Long = 0,
    @Expose @get: NonNull var name: String,

) {
    @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "trainingPlanDay")
    @Fetch(value = FetchMode.SUBSELECT)
    @Expose val translations: List<TrainingPlanDayTranslation> = mutableListOf<TrainingPlanDayTranslation>().toList()

}