package com.aitrainer.api.model.diet


import com.google.gson.annotations.Expose
import jakarta.persistence.*
import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.jetbrains.annotations.NotNull

@Entity
data class Recipe (
    @Id @GeneratedValue(strategy = GenerationType.IDENTITY) @Expose val recipeId: Long = 0,

    @Expose @get: NotNull val name: String = "",
    @Expose @get: NotNull val description: String = "",

    @Expose @get: NotNull val cal: Int = 0,
    @Expose @get: NotNull val protein: Double = 0.0,
    @Expose @get: NotNull val fat: Double = 0.0,
    @Expose @get: NotNull val ch: Double = 0.0,
    @Expose @get: NotNull val dietUserId: Long = 0,
) {
    @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "recipe")
    @Fetch(value = FetchMode.SUBSELECT)
    @Expose val meals: MutableList<RecipeMeal> = mutableListOf()
}